/* стили для одиночной записи сотрудника*/

h1 {
    text-align: center;
    color: #313332;
}

.single_team h1, h2 {
    color: #313332;
    text-align: left;
}
        
.single_team .img_team img {
    width: 100%;
    height: auto;
}
        
.single_team .img_team:not(:has(img)) {
    background-color: #D9D9D9;
}

.single_team::after {
    content: "";
    display: block;
    clear: both;
}

.single_team .img_team {
    float: left;
    margin: 0 81px 0 0;
    width: 496px;
    height: 496px;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
}
        
.single_team .img_team img {
    object-fit: cover;
    object-position: center;
}

.single_team h1 {
    font-size: 30px;
    letter-spacing: -2%;
    margin: 0;
}

.single_team h2 {
    font-size: 20px;
    margin: 0;
    margin-top: 20px;
    margin-bottom: 10px;
}

.single_team .education {
    margin: 0;
    margin-bottom: 68px;
    letter-spacing: -2%;
    line-height: 100%;
}

.single_team p {
    color: #30333A;
    font-size: 18px;
    font-weight: 400;
    font-family: "Ony One";
    line-height: 130%;
}

.single_team .job_title {
    margin: 0;
    margin-top: 24px;
    margin-bottom: 50px;
    letter-spacing: -2%;
    line-height: 100%;
}
        
.single_team:has(.specialization) .education{
    margin-bottom: 0;
}
        
.single_team .specialization {
    margin: 0;
    margin-bottom: 64px;
}

@media (max-width: 1200px) {
            
    .single_team .img_team {
        width: 400px;
        height: 400px;
        margin: 0 62px 0 0;
    }
            
    .single_team .education {
        min-height: 32px;
        margin-bottom: 32px;
    }
            
}

@media (max-width: 900px) {
    
    .single_team .img_team {
        float: none;
        margin: 0 auto 16px auto;
        width: 200px;
        height: 200px;
    }

    .single_team * {
        font-size: 16px !important;
    }

    .single_team h1 {
        text-align: center;
        margin: 0 auto;
    }

    .single_team h2 {
        margin: 24px 0 16px 0;
    }

    .single_team .job_title {
        text-align: center;
        margin: 8px 0 0 0;
    }

    .single_team .education {
        margin: 16px 0 24px 0;
    }
    
}
        
        
/* стили для шорткода команды */

.team_cards {
    display: flex;
    flex-wrap: wrap;
    column-gap: 1.35vw;
    row-gap: 40px;
    justify-content: center;
    max-width: 1360px;
    margin: 0 auto;
}
        
.team_card_img{
    width: 100%;
    aspect-ratio: 1 / 1;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 0 auto 24px auto;
}

.team_card_img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}

.team_card_img.no-image{
    background-color: #D9D9D9;
}

.team_departments .team_department:first-child .team_department_title {
    display: none;
}

.team_department_title {
    text-align: center;
}

.team_department {
    margin-top: 64px;
}

.team_card {
    text-decoration: none;
    cursor: pointer;
    width: 240px;
    flex: 0 0 240px;
    text-align: center;
}

.team_department:first-child .team_card:first-child {
    width: 280px;
    flex: 0 0 280px;
    margin-left: auto;
    margin-right: auto;
}

.team_card_name {
    font-size: 20px;
    letter-spacing: -2%;
    color: #313332;
    font-family: "Ony One";
    margin-bottom: 16px;
    font-weight: 500;
    line-height: 100%;
}

.team_department_title {
    font-size: 24px;
    letter-spacing: -2%;
    color: #313332;
    font-family: "Ony One";
    margin-bottom: 48px;
    font-weight: 500;
    line-height: 100%;
}

.team_card_position {
    font-size: 16px;
    color: #313332;
    font-family: "Ony One";
    letter-spacing: -2%;
    font-weight: 400;
    line-height: 100%;
}

@media (min-width: 1201px) and (max-width: 1204px) {
    .team_cards {
        column-gap: 1vw;
    }
    
    .team_card,
    .team_department:first-child .team_card:first-child {
        width: 240px;
        flex: 0 0 240px;
        margin-left: 0;
        margin-right: 0;
    }
}

@media (max-width: 1200px) {
    .team_cards {
        row-gap: 16px;
        max-width: 100%;
        padding: 0 16px;
        box-sizing: border-box;
    }
    
    .team_card {
        width: 190px;
        flex: 0 0 190px;
    }
    
    .team_department:first-child .team_card:first-child {
        width: 230px;
        flex: 0 0 230px;
    }
}

@media (max-width: 900px) {
    .team_cards {
        column-gap: 32px;
    }
    
    .team_card {
        width: calc(50% - 16px);
        flex: 0 0 calc(50% - 16px);
    }
    
    .team_department:first-child .team_card:first-child {
        width: calc(50% - 16px);
        flex: 0 0 calc(50% - 16px);
    }
}

@media (max-width: 800px) {
    
    h1{
        text-align: left;
        font-size: 20px;
        margin: 20px 16px 30px;
    }
    
    .team_cards {
        column-gap: 4px;
        row-gap: 24px;
        justify-content: flex-start;
    }
    
    .team_card {
        width: calc(50% - 2px);
        flex: 0 0 calc(50% - 2px);
        text-align: center;
    }
    
    .team_department:first-child .team_card:first-child {
        width: calc(50% - 2px);
        flex: 0 0 calc(50% - 2px);
        margin-left: auto;
        margin-right: auto;
    }
    
    .team_card_img {
        margin-bottom: 16px;
    }
    
    .team_card_name {
        font-size: 16px;
        margin-bottom: 8px;
    }
    
    .team_card_position {
        font-size: 14px;
        line-height: 120%;
    }
    
    .team_department_title {
        text-align: start;
        font-size: 18px;
        margin-bottom: 24px;
    }

    .gsbp-23d8786 {
        text-align: left !important;
        font-size: 19px !important;
    }
    
    .gsbp-64a12dc {
        text-align: left !important;
        margin: revert !important;
    }
  
    .gsbp-7d890a7, .gsbp-f90f871, .gsbp-7a5383f {
        margin-right: 16px !important;
        margin-left: 16px !important;
    }
    
    .team_department {
        margin-top: 0px;
    }
}

@media (min-width: 801px) {
    .gsbp-23d8786 {
        margin-bottom: 64px;
    }
}

.team-card-disabled {
    pointer-events: none !important;
}